local addonName, L = ...;

L["ArenaLive [Spectator] %s"] = "ArenaLive [Spectator] %s";

L["Hide normal UI"] = "Hide normal UI";

L["CooldownTracker:RegisterUnit(): Usage CooldownTracker:RegisterUnit(unit)"] = "CooldownTracker:RegisterUnit(): Usage CooldownTracker:RegisterUnit(unit)";
L["CooldownTracker:UnregisterUnit(): Usage CooldownTracker:UnregisterUnit(unit)"] = "CooldownTracker:UnregisterUnit(): Usage CooldownTracker:UnregisterUnit(unit)";

L["MainTargetIndicator:UpdateMainTarget(): Usage MainTargetIndicator:UpdateMainTarget(team)"] = "MainTargetIndicator:UpdateMainTarget(): Usage MainTargetIndicator:UpdateMainTarget(team)";

L["Spectator addon has been loaded successfully! Type /alspec to open the spectator war game menu or /alspec help for a list of available commands."] = "Spectator addon has been loaded successfully! Type /alspec to open the spectator war game menu or /alspec help for a list of available commands.";
L["Joined a spectated battleground. Displaying a spectator UI in spectated battlegrounds requires BGLive."] = "Joined a spectated battleground. Displaying a spectator UI in spectated battlegrounds requires BGLive.";

L["Available Slash Commands for ArenaLive [Spectator] are:"] = "Available Slash Commands for ArenaLive [Spectator] are:";
L["Shows this info message."] = "Shows this info message.";
L["Shows the War Game Menu"] = "Shows the War Game Menu";
L["Shows the Match Statistic"] = "Shows the Match Statistic";
L["%s: %s"] = "%s: %s";

L["Unable to queue spectated wargame, because left team leader's character name wasn't found."] = "Unable to queue spectated wargame, because left team leader's character name wasn't found.";
L["Unable to queue spectated wargame, because either team leader's or bracket number wasn't found."] = "Unable to queue spectated wargame, because either team leader's or bracket number wasn't found.";

-- Broadcasting Feature:
L["Broadcast Team Data"] = "Broadcast Team Data";
L["If checked, team names and scores will be broadcast to the spectator group, when queuing for a war game."] = "If checked, team names and scores will be broadcast to the spectator group, when queuing for a war game.";
L["Received team data from group leader (%s). Updating team entries..."] = "Received team data from group leader (%s). Updating team entries...";
L["WARNING! Couldn't register addon message prefix for ArenaLive [Spectator]. You won't be able to receive broadcast data during this session."] = "WARNING! Couldn't register addon message prefix for ArenaLive [Spectator]. You won't be able to receive broadcast data during this session.";

-- Important Message Frame Handler:
L["|c%s%s|r disconnected."] = "|c%s%s|r disconnected.";
L["|c%s%s|r reconnected."] = "|c%s%s|r reconnected.";
L["|c%s%s|r has low health."] = "|c%s%s|r has low health.";
L["|c%s%s|r tries to resurrect |c%s%s|r."] = "|c%s%s|r tries to resurrect |c%s%s|r.";

-- Match Statistic:
L["%d. %s vs %s (%d:%d)"] = "%d. %s vs %s (%d:%d)";
L["Choose a Match"] = "Choose a Match";
L["Match:"] = "Match:";
L["ArenaLive [Spectator] Match Statistic"] = "ArenaLive [Spectator] Match Statistic";
L["ArenaLiveSpectatorMatchStatistic:SetMatch(id): id too high."] = "ArenaLiveSpectatorMatchStatistic:SetMatch(id): id too high.";
L["Damage Dealt:"] = "Damage Dealt:";
L["Healing Done:"] = "Healing Done:";
L["Time in CC:"] = "Time in CC:";
L["Leave Arena"] = "Leave Arena";
L["%d:%s"] = "%d:%s";
L["Delete Match"] = "Delete Match";

-- Settings Tab:
L["Settings"] = "Settings";

	-- Map Drop Down:
	L["Map:"] = "Map:";
	L["Choose the map the war game will take place on."] = "Choose the map the war game will take place on.";
	L["Arenas:"] = "Arenas:";
		-- Arena Names:
		L["Blade's Edge Arena"] = "Blade's Edge Arena";
		L["Dalaran Sewers"] = "Dalaran Sewers";
		L["Nagrand Arena"] = "Nagrand Arena";
		L["Ruins of Lordaeron"] = "Ruins of Lordaeron";
		L["The Tiger's Peak"] = "The Tiger's Peak";
		L["Tol'Viron Arena"] = "Tol'Viron Arena";
		L["All Arenas"] = "All Arenas";

	L["Battlegrounds:"] = "Battlegrounds:";
		-- Battleground Names:
		L["Alterac Valley"] = "Alterac Valley";
		L["Warsong Gulch"] = "Warsong Gulch";
		L["Twin Peaks"] = "Twin Peaks";
		L["The Battle for Gilneas"] = "The Battle for Gilneas";
		L["Temple of Kotmogu"] = "Temple of Kotmogu";
		L["Silvershard Mines"] = "Silvershard Mines";
		L["Arathi Basin"] = "Arathi Basin";
		L["Eye of the Storm"] = "Eye of the Storm";
		L["Strand of the Ancients"] = "Strand of the Ancients";
		L["Isle of Conquest"] = "Isle of Conquest";
		L["Deepwind Gorge"] = "Deepwind Gorge";
		L["Southshore vs Tarren Mill"] = "Southshore vs Tarren Mill";
		L["Random Battleground"] = "Random Battleground";
	
	-- Play Mode DropDown:
	L["Bracket:"] = "Bracket:";
	L["Choose the number of players per team."] = "Choose the number of players per team.";
	L["Battlegrounds"] = "Battleground";
	L["2v2"] = "Arena (2v2)";
	L["3v3"] = "Arena (3v3)";
	L["5v5"] = "Arena (5v5)";

	-- Unit Frame Options:
	L["Disable"] = "Disable";
	L["If checked, target and target-of-target frames will be disabled and the width of the current target's side frame will be increased dynamically instead."] = "If checked, target and target-of-target frames will be disabled and the width of the current target's side frame will be increased dynamically instead.";
	L["Enable Castbar"] = "Enable Castbar";
	L["Enable Casthistory"] = "Enable Casthistory";

-- Spectated War Games Tab:
L["Spectated War Games"] = "Spectated War Games";

	-- Nickname Database:
	L["Nicknames:"] = "Nicknames:";
	L["No Nickname Assigned"] = "No Nickname Assigned";
	L["Reset Nickname"] = "Reset Nickname";
	L["Current Player:"] = "Current Player:";
	L["Player Nickname:"] = "Player Nickname:";
	L["Clear Database"] = "Clear Database";
	L["Clearing the nickname database will delete all player nicknames. Do you want to proceed?"] = "Clearing the nickname database will delete all player nicknames. Do you want to proceed?";
	
	-- Cooldowntracker Options:
	L["Show Tooltip"] = "Show Tooltip";
	L["If enabled, spell tooltips will be shown when moving the mouse over a cooldown button."] = "If enabled, spell tooltips will be shown when moving the mouse over a cooldown button.";
	
	-- Team Leader Button:
	L["Team Leader:"] = "Team Leader:";
	L["Choose a Player"] = "Choose a Player";
	L["Drag from the player list"] = "Drag and drop here";
	L["Not logged into WoW"] = "Not logged into WoW";
	L["Offline"] = "Offline";

	-- Tournament Rules Checkbutton:
	L["Tournament Rules"] = "Tournament Rules";
	L["If checked, participants will only be allowed to use Tournament Gear. Other equipment will be disabled."] = "If checked, participants will only be allowed to use Tournament Gear. Other equipment will be disabled.";

	-- Team Name Editbox:
	L["Team Name:"] = "Team Name:";
	L["Enter the name of the team. The name will be shown on the scoreboard and on the match statistic."] = "Enter the name of the team. The name will be shown on the scoreboard and on the match statistic.";

	-- Team Score Editbox:
	L["Score:"] = "Score:";
	L["Enter the score of the team. It will be shown on the scoreboard."] = "Enter the score of the team. It will be shown on the scoreboard.";

	-- War Game Queue Button:
	L["Start Spectated War Game"] = "Start Spectated War Game";	
	
-- Scoreboard:
L["Enable Scoreboard"] = "Enable Scoreboard";
L["If checked, a scoreboard with match timer, team name, team score and dampening tracker will be shown during matches."] = "If checked, a scoreboard with match timer, team name, team score and dampening tracker will be shown during matches.";
L["%s: Invalid team %s. Use \"TeamA\"  or \"TeamB\""] = "%s: Invalid team %s. Use \"TeamA\"  or \"TeamB\"";

-- Third Person Player View:
L["Follow Target"] = "Follow Target";
L["If checked, ArenaLive will fixate the camera on your current target. Note: When following a player, nameplates are disabled by the WoW client."] = "If checked, ArenaLive will fixate the camera on your current target. Note: When following a player, nameplates are disabled by the WoW client.";

-- Countdown statusbar text:
L["%d:%d"] = "%d:%d";

-- Chat message patterns (NOTE: These must correspond exactly with the messages that are sent to the client while in the Arena preparation room!):
L["One minute until the Arena battle begins!"] = "One minute until the Arena battle begins!";
L["(.+) seconds until the Arena battle begins!"] = "(.+) seconds until the Arena battle begins!";
	L["Thirty"] = "Thirty";
	L["Fifteen"] = "Fifteen";
L["The Arena battle has begun!"] = "The Arena battle has begun!";
 